<div class="login-container">
  <app-loader *ngIf="showLoader"></app-loader>
  <div class="login-form-container">
    <div class="login-form-section">
      <div class="login-container-label">
        <span>Kognitive </span>
      </div>
      <form class="login-form" [formGroup]="loginForm">
        <div class="username-section">
          <div class="username-input">
            <mat-icon class="user-icon" [ngStyle]="{'color':'darkgrey'}" aria-hidden="false">perm_identity</mat-icon>
            <input class="user-input" type="email" placeholder="Your Employee ID" formControlName="username" />
          </div>
        </div>
        <div class="password-section">
          <div class="password-input">
            <mat-icon class="user-icon" [ngStyle]="{'color':'darkgrey'}" aria-hidden="false">lock</mat-icon>
            <input type="password" placeholder="Your Password" formControlName="password"
              (keyup.enter)="onLoginSubmit()" />
          </div>
        </div>
        <div class="submit-section">
          <button type="button" class="signin-button" [disabled]="loginForm.invalid" (click)="onLoginSubmit()"> Log In
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
